Subject: Re: get-free-disk-space when default-directory doesn't exist
From: Chong Yidong <[email-masked]>
To: Kevin Ryde <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sat, 15 Aug 2009 20:34:52 -0400

> What is it that's not good about "/"?  It doesn't have to be readable
> or anything I don't think, just somewhere capable of a chdir()...  If
> both default-directory and home directory both don't exist
> get-free-disk-space still gets an error

You're right; it's probably better to fall back on / instead of ~.  I've
just checked in your suggested change.

> (let ((default-directory "/no/such/dir"))
>   (get-free-disk-space "."))
> => 3705637

I checked in your suggestion to do expand-file-name before changing the
default-directory, as well.  Thanks.